seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/06, 22:30:13


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] When will it be relatively safe to du my vanilla KDE system?  (Read 2446 times)

0 Members and 1 Guest are viewing this topic.

Offline bad_aptitude

  • User
  • Posts: 61
My last dist upgrade was in May. Is KDE straightened out enough to have a reasonable chance of a successful upgrade or should I wait?
Thanks


bad_
« Last Edit: 2015/10/15, 10:04:54 by musca »

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.377
In general yes. What does
Code: [Select]
apt-get dist-upgrade -s tell you?


greetz
devil

Offline bad_aptitude

  • User
  • Posts: 61
Here is the to "be removed"," added" and "kept back" sections from apt-get dist-upgrade -s
If I included the rest of the listing it would exceed the 2000 character limit.

Code: [Select]
root@kent_siduction:/home/kwd# atpt-get dist-upgrade -s
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  anoncoin-qt armory backintime-kde coinor-libcoinmp1 coinor-libcoinutils3 coinor-libosi1 deluge deluge-gtk kde-workspace kde-workspace-bin kde-workspace-data
  kdebase-workspace-bin klipper libatkmm-1.6-1 libav-tools libcairomm-1.0-1 libclucene-contribs1 libclucene-core1 libcrypto++9 libcwidget3 libebml4 libept1.4.12 libflac++6
  libgconfmm-2.6-1c2 libgegl-0.2-0 libglademm-2.4-1c2a libglibmm-2.4-1c2a libgpgme++2 libgtkmm-2.4-1c2a libgtkmm-3.0-1 libhogweed2 libhogweed2:i386 libid3-3.8.3c2a
  libilmbase6 libleveldb1 libllvm3.5 libllvm3.5:i386 libmarblewidget19 libmatroska6 libmsn0.3 libnettle4 libnettle4:i386 libopenconnect3 libopenexr6 libpangomm-1.4-1
  libpodofo0.9.0 libprojectm2 libprotobuf9 libproxy1 libqalculate5 libqpdf13 librlog5 libsearchclient0 libsidplay1 libsigc++-2.0-0c2a libsnappy1 libstreamanalyzer0
  libstreams0 libstrigihtmlgui0 libtag1-vanilla libtag1c2a libvigraimpex4 libwxbase3.0-0 libwxgtk3.0-0 libxapian22 plasma-desktopthemes-artwork plasma-widgets-workspace
  python-cupshelpers resolvconf
The following NEW packages will be installed:                                                                                                                               
  backintime-qt4 breeze breeze-cursor-theme breeze-icon-theme catdoc coinor-libcoinmp1v5 coinor-libcoinutils3v5 coinor-libosi1v5 dh-strip-nondeterminism distro-info-data   
  fonts-oxygen frameworkintegration gdb-minimal gstreamer1.0-plugins-ugly hunspell-en-gb hunspell-it kactivities kate5-data kde-cli-tools kde-cli-tools-data                 
  kde-config-systemd kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen-qt4 kded5 kdepim-doc kdeplasma-addons-data kdoctools5 khelpcenter kinit kio konsole-kpart       
  konsole4-kpart kpackagetool5 kross ksysguard-data ktexteditor-data ktexteditor-katepart kwin-common kwin-data kwin-style-breeze kwin-x11 libapt-inst1.7 libapt-pkg4.16     
  libarchive-zip-perl libatkmm-1.6-1v5 libavcodec-ffmpeg56 libavformat-ffmpeg56 libavutil-ffmpeg54 libbasicusageenvironment1 libboost-chrono1.58.0                           
  libboost-filesystem1.58.0 libboost-program-options1.58.0 libboost-python1.58.0 libboost-serialization1.58.0 libcairomm-1.0-1v5 libclucene-contribs1v5 libclucene-core1v5   
  libcrypto++9v5 libcwidget3v5 libdbusmenu-qt5-2 libdolphinvcs5 libdvbpsi10 libebml4v5 libept1.4.16 libexiv2-14 libfile-stripnondeterminism-perl libflac++6v5 libgck-1-0     
  libgconfmm-2.6-1v5 libgcr-3-common libgcr-base-3-1 libgegl-0.3-0 libgit2-23 libglademm-2.4-1v5 libglibmm-2.4-1v5 libgpgme++2v5 libgraphicsmagick++11 libgroupsock8         
  libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtop-2.0-10 libhdf5-10 libhttp-parser2.1 libicu55:i386 libid3-3.8.3v5 libilbc2 libilmbase6v5 libinput10 libjavascriptcoregtk-4.0-18   
  libkdecorations2-5v5 libkdecorations2private5v5 libkf5activities5 libkf5activitiesexperimentalstats1 libkf5archive5 libkf5attica5 libkf5auth-data libkf5auth5             
  libkf5baloo5 libkf5balooengine5 libkf5baloowidgets5 libkf5bluezqt-data libkf5bluezqt6 libkf5bookmarks-data libkf5bookmarks5 libkf5codecs-data libkf5codecs5               
  libkf5completion-data libkf5completion5 libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data           
  libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5 libkf5declarative-data libkf5declarative5 libkf5emoticons-data libkf5emoticons5                     
  libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5               
  libkf5gpgmepp5 libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemmodels5 libkf5itemviews-data                 
  libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsembed-data libkf5jsembed5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdelibs4support-data       
  libkf5kdelibs4support5 libkf5khtml-data libkf5khtml5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5krosscore5 libkf5krossui5                 
  libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5 libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data   
  libkf5package5 libkf5parts-data libkf5parts5 libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plasma5 libkf5plasmaquick5 libkf5pty-data     
  libkf5pty5 libkf5quickaddons5 libkf5runner5 libkf5screen6 libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data           
  libkf5sonnetcore5 libkf5sonnetui5 libkf5style5 libkf5su-data libkf5su5 libkf5sysguard-bin libkf5sysguard-data libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5 
  libkf5threadweaver5 libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5 libkf5webkit5 libkf5widgetsaddons-data                     
  libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5                 
  libkfontinstui5 libksgrd7 libksignalplotter7 libkvazaar0 libkwalletbackend5-5 libkwin4-effect-builtins1 libkwineffects6 libkwinglutils6 libkwinxrenderutils6               
  libkworkspace5-5 liblivemedia50 libllvm3.5v5 libllvm3.5v5:i386 liblmdb0 libmatroska6v5 libmsn0.3v5 libmusicbrainz5cc2v5 libnghttp2-14 libnotify-bin libnpth0               
  libokularcore6 libopenexr6v5 libopenh264-0 libpangomm-1.4-1v5 libphonon4qt5-4 libplasma-geolocation-interface5 libpodofo0.9.0v5 libpolkit-qt5-1-1 libpoppler-qt5-1         
  libprocesscore7 libprocessui7 libprocps4 libprojectm2v5 libprotobuf9v5 libproxy1v5 libqalculate5v5 libqca-qt5-2 libqca2-plugins libqpdf13v5 libqt5concurrent5             
  libqt5designercomponents5 libqt5multimedia5 libqt5multimediaquick-p5 libqt5quickwidgets5 libqt5x11extras5 librlog5v5 libruby2.2 libsctp1 libsearchclient0v5 libseccomp2   
  libsidplay1v5 libsigc++-2.0-0v5 libsnappy1v5 libsoundtouch1 libstreamanalyzer0v5 libstreams0v5 libstrigihtmlgui0v5 libswresample-ffmpeg1 libswscale-ffmpeg3 libtag1v5     
  libtag1v5-vanilla libtaskmanager5 libtorrent-rasterbar8 libtrio2 libusageenvironment3 libvigraimpex5v5 libweather-ion7 libwebkit2gtk-4.0-37 libwxbase3.0-0v5               
  libwxgtk3.0-0v5 libx264-148 libx265-68 libxapian22v5 libxcb-cursor0 libxcb-record0 linux-image-4.2.3-towo.1-siduction-amd64 milou oxygen-sounds phonon4qt5                 
  phonon4qt5-backend-vlc plasma-desktop-data plasma-framework plasma-workspace polkit-kde-agent-1 python-cffi-backend python-httplib2 python-idna python-ipaddress
  python-pysimplesoap python3-apt python3-chardet python3-cups python3-cupshelpers python3-dbus python3-dbus.mainloop.qt python3-debian python3-keyring python3-pyqt4
  python3-requests python3-sip python3-six python3-urllib3 qdbus-qt5 qml-module-org-kde-bluezqt qml-module-org-kde-draganddrop qml-module-org-kde-extensionplugin
  qml-module-org-kde-kcoreaddons qml-module-org-kde-kio qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-kwindowsystem
  qml-module-org-kde-solid qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtquick-controls
  qml-module-qtquick-controls-styles-breeze qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets qml-module-qtquick-window2
  qml-module-qtquick2 qml-module-qtwebkit qtdeclarative5-kf5declarative qtdeclarative5-kf5solid qttools5-dev-tools ruby-power-assert ruby-test-unit
The following packages have been kept back:
  build-essential cpp g++ gcc gcc-5-base gcc-5-base:i386 libatomic1 libcilkrts5 libgcc1 libgcc1:i386 libgfortran3 libgomp1 libitm1 liblsan0 libquadmath0 libstdc++6
  libstdc++6:i386 libtsan0 libubsan0 linux-headers-siduction-amd64


The one removal that worries me is Armory, but I could wait and see if it gets updated.
Devil: Do you see anything worrysome?
Thanks
bad_

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
My last dist upgrade was in May. Is KDE straightened out enough to have a reasonable chance of a successful upgrade or should I wait?
Thanks


bad_


If your last upgrade was in may I presume you still have plasma 4, don't you?


In that case I think you have a reasonable chance of getting a right upgrade, on the other hand you are going to upgrade to plasma 5 and the new standard C++ library at the same time and that's a very heavy dist-upgrade so there's also a chance to get something wrong in the middle of the dist-upgrade process (related or not to kde packages).


So my suggestion is:
1. Make backup and prepare for performing a new installation in case you need to do it if the dist-upgrade goes wrong
2. Perform the dist-upgrade with apt-get (not aptitude) and make sure you save the output of "apt-get dist-upgrade" (so you can paste it here if you need help fixing anything)
3. If the dist-upgrade goes wrong, you get your system broken without much chance to fix it and you need to do a new installation you can upgrade to plasma 5 following these intructions: https://community.kde.org/Plasma/InstallingNext#siduction


Here is the to "be removed"," added" and "kept back" sections from apt-get dist-upgrade -s
If I included the rest of the listing it would exceed the 2000 character limit.

Code: [Select]
root@kent_siduction:/home/kwd# atpt-get dist-upgrade -s
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  anoncoin-qt armory backintime-kde coinor-libcoinmp1 coinor-libcoinutils3 coinor-libosi1 deluge deluge-gtk kde-workspace kde-workspace-bin kde-workspace-data
  kdebase-workspace-bin klipper libatkmm-1.6-1 libav-tools libcairomm-1.0-1 libclucene-contribs1 libclucene-core1 libcrypto++9 libcwidget3 libebml4 libept1.4.12 libflac++6
  libgconfmm-2.6-1c2 libgegl-0.2-0 libglademm-2.4-1c2a libglibmm-2.4-1c2a libgpgme++2 libgtkmm-2.4-1c2a libgtkmm-3.0-1 libhogweed2 libhogweed2:i386 libid3-3.8.3c2a
  libilmbase6 libleveldb1 libllvm3.5 libllvm3.5:i386 libmarblewidget19 libmatroska6 libmsn0.3 libnettle4 libnettle4:i386 libopenconnect3 libopenexr6 libpangomm-1.4-1
  libpodofo0.9.0 libprojectm2 libprotobuf9 libproxy1 libqalculate5 libqpdf13 librlog5 libsearchclient0 libsidplay1 libsigc++-2.0-0c2a libsnappy1 libstreamanalyzer0
  libstreams0 libstrigihtmlgui0 libtag1-vanilla libtag1c2a libvigraimpex4 libwxbase3.0-0 libwxgtk3.0-0 libxapian22 plasma-desktopthemes-artwork plasma-widgets-workspace
  python-cupshelpers resolvconf
The following NEW packages will be installed:                                                                                                                               
  backintime-qt4 breeze breeze-cursor-theme breeze-icon-theme catdoc coinor-libcoinmp1v5 coinor-libcoinutils3v5 coinor-libosi1v5 dh-strip-nondeterminism distro-info-data   
  fonts-oxygen frameworkintegration gdb-minimal gstreamer1.0-plugins-ugly hunspell-en-gb hunspell-it kactivities kate5-data kde-cli-tools kde-cli-tools-data                 
  kde-config-systemd kde-style-breeze kde-style-breeze-qt4 kde-style-oxygen-qt4 kded5 kdepim-doc kdeplasma-addons-data kdoctools5 khelpcenter kinit kio konsole-kpart       
  konsole4-kpart kpackagetool5 kross ksysguard-data ktexteditor-data ktexteditor-katepart kwin-common kwin-data kwin-style-breeze kwin-x11 libapt-inst1.7 libapt-pkg4.16     
  libarchive-zip-perl libatkmm-1.6-1v5 libavcodec-ffmpeg56 libavformat-ffmpeg56 libavutil-ffmpeg54 libbasicusageenvironment1 libboost-chrono1.58.0                           
  libboost-filesystem1.58.0 libboost-program-options1.58.0 libboost-python1.58.0 libboost-serialization1.58.0 libcairomm-1.0-1v5 libclucene-contribs1v5 libclucene-core1v5   
  libcrypto++9v5 libcwidget3v5 libdbusmenu-qt5-2 libdolphinvcs5 libdvbpsi10 libebml4v5 libept1.4.16 libexiv2-14 libfile-stripnondeterminism-perl libflac++6v5 libgck-1-0     
  libgconfmm-2.6-1v5 libgcr-3-common libgcr-base-3-1 libgegl-0.3-0 libgit2-23 libglademm-2.4-1v5 libglibmm-2.4-1v5 libgpgme++2v5 libgraphicsmagick++11 libgroupsock8         
  libgtkmm-2.4-1v5 libgtkmm-3.0-1v5 libgtop-2.0-10 libhdf5-10 libhttp-parser2.1 libicu55:i386 libid3-3.8.3v5 libilbc2 libilmbase6v5 libinput10 libjavascriptcoregtk-4.0-18   
  libkdecorations2-5v5 libkdecorations2private5v5 libkf5activities5 libkf5activitiesexperimentalstats1 libkf5archive5 libkf5attica5 libkf5auth-data libkf5auth5             
  libkf5baloo5 libkf5balooengine5 libkf5baloowidgets5 libkf5bluezqt-data libkf5bluezqt6 libkf5bookmarks-data libkf5bookmarks5 libkf5codecs-data libkf5codecs5               
  libkf5completion-data libkf5completion5 libkf5config-data libkf5configcore5 libkf5configgui5 libkf5configwidgets-data libkf5configwidgets5 libkf5coreaddons-data           
  libkf5coreaddons5 libkf5crash5 libkf5dbusaddons-data libkf5dbusaddons5 libkf5declarative-data libkf5declarative5 libkf5emoticons-data libkf5emoticons5                     
  libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata3 libkf5globalaccel-bin libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5               
  libkf5gpgmepp5 libkf5guiaddons5 libkf5i18n-data libkf5i18n5 libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5 libkf5itemmodels5 libkf5itemviews-data                 
  libkf5itemviews5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5js5 libkf5jsembed-data libkf5jsembed5 libkf5kcmutils-data libkf5kcmutils5 libkf5kdelibs4support-data       
  libkf5kdelibs4support5 libkf5khtml-data libkf5khtml5 libkf5kiocore5 libkf5kiofilewidgets5 libkf5kiontlm5 libkf5kiowidgets5 libkf5krosscore5 libkf5krossui5                 
  libkf5networkmanagerqt6 libkf5newstuff-data libkf5newstuff5 libkf5notifications-data libkf5notifications5 libkf5notifyconfig-data libkf5notifyconfig5 libkf5package-data   
  libkf5package5 libkf5parts-data libkf5parts5 libkf5people-data libkf5people5 libkf5peoplebackend5 libkf5peoplewidgets5 libkf5plasma5 libkf5plasmaquick5 libkf5pty-data     
  libkf5pty5 libkf5quickaddons5 libkf5runner5 libkf5screen6 libkf5service-bin libkf5service-data libkf5service5 libkf5solid5 libkf5solid5-data libkf5sonnet5-data           
  libkf5sonnetcore5 libkf5sonnetui5 libkf5style5 libkf5su-data libkf5su5 libkf5sysguard-bin libkf5sysguard-data libkf5texteditor5 libkf5textwidgets-data libkf5textwidgets5 
  libkf5threadweaver5 libkf5wallet-bin libkf5wallet-data libkf5wallet5 libkf5waylandclient5 libkf5waylandserver5 libkf5webkit5 libkf5widgetsaddons-data                     
  libkf5widgetsaddons5 libkf5windowsystem-data libkf5windowsystem5 libkf5xmlgui-data libkf5xmlgui5 libkf5xmlrpcclient-data libkf5xmlrpcclient5 libkfontinst5                 
  libkfontinstui5 libksgrd7 libksignalplotter7 libkvazaar0 libkwalletbackend5-5 libkwin4-effect-builtins1 libkwineffects6 libkwinglutils6 libkwinxrenderutils6               
  libkworkspace5-5 liblivemedia50 libllvm3.5v5 libllvm3.5v5:i386 liblmdb0 libmatroska6v5 libmsn0.3v5 libmusicbrainz5cc2v5 libnghttp2-14 libnotify-bin libnpth0               
  libokularcore6 libopenexr6v5 libopenh264-0 libpangomm-1.4-1v5 libphonon4qt5-4 libplasma-geolocation-interface5 libpodofo0.9.0v5 libpolkit-qt5-1-1 libpoppler-qt5-1         
  libprocesscore7 libprocessui7 libprocps4 libprojectm2v5 libprotobuf9v5 libproxy1v5 libqalculate5v5 libqca-qt5-2 libqca2-plugins libqpdf13v5 libqt5concurrent5             
  libqt5designercomponents5 libqt5multimedia5 libqt5multimediaquick-p5 libqt5quickwidgets5 libqt5x11extras5 librlog5v5 libruby2.2 libsctp1 libsearchclient0v5 libseccomp2   
  libsidplay1v5 libsigc++-2.0-0v5 libsnappy1v5 libsoundtouch1 libstreamanalyzer0v5 libstreams0v5 libstrigihtmlgui0v5 libswresample-ffmpeg1 libswscale-ffmpeg3 libtag1v5     
  libtag1v5-vanilla libtaskmanager5 libtorrent-rasterbar8 libtrio2 libusageenvironment3 libvigraimpex5v5 libweather-ion7 libwebkit2gtk-4.0-37 libwxbase3.0-0v5               
  libwxgtk3.0-0v5 libx264-148 libx265-68 libxapian22v5 libxcb-cursor0 libxcb-record0 linux-image-4.2.3-towo.1-siduction-amd64 milou oxygen-sounds phonon4qt5                 
  phonon4qt5-backend-vlc plasma-desktop-data plasma-framework plasma-workspace polkit-kde-agent-1 python-cffi-backend python-httplib2 python-idna python-ipaddress
  python-pysimplesoap python3-apt python3-chardet python3-cups python3-cupshelpers python3-dbus python3-dbus.mainloop.qt python3-debian python3-keyring python3-pyqt4
  python3-requests python3-sip python3-six python3-urllib3 qdbus-qt5 qml-module-org-kde-bluezqt qml-module-org-kde-draganddrop qml-module-org-kde-extensionplugin
  qml-module-org-kde-kcoreaddons qml-module-org-kde-kio qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-kwindowsystem
  qml-module-org-kde-solid qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtquick-controls
  qml-module-qtquick-controls-styles-breeze qml-module-qtquick-dialogs qml-module-qtquick-layouts qml-module-qtquick-privatewidgets qml-module-qtquick-window2
  qml-module-qtquick2 qml-module-qtwebkit qtdeclarative5-kf5declarative qtdeclarative5-kf5solid qttools5-dev-tools ruby-power-assert ruby-test-unit
The following packages have been kept back:
  build-essential cpp g++ gcc gcc-5-base gcc-5-base:i386 libatomic1 libcilkrts5 libgcc1 libgcc1:i386 libgfortran3 libgomp1 libitm1 liblsan0 libquadmath0 libstdc++6
  libstdc++6:i386 libtsan0 libubsan0 linux-headers-siduction-amd64


The one removal that worries me is Armory, but I could wait and see if it gets updated.
Devil: Do you see anything worrysome?
Thanks
bad_


The output looks fine, you can re-install armory after the dist-upgrade.
Sometimes standing for what you believe means standing alone.

Offline bad_aptitude

  • User
  • Posts: 61
My distribution upgrade to the new C++ library and vanilla KDE plasma 5 was successful. As far as I can tell everything is working.
There has been some loss of functionality, for me, in going from Plasma 4 to 5, but I'll get used to it.


Thanks to the Siduction team.


bad_

Offline spacepenguin

  • User
  • Posts: 863
    • spacepenguin.de
With or without kdenext?
Susan | Hardware: SysProfile
Music-Profile: http://www.last.fm/de/user/spacepengu

Offline bad_aptitude

  • User
  • Posts: 61
Without kdenext.

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
Without kdenext.


Then, please say so from the beginning. My previous post in this thread was assuming you were using siduction's packages and I'm not supporting siduction systems without siduction packages. Problems with debian's packages should be discussed with debian developers.
Sometimes standing for what you believe means standing alone.

Offline bad_aptitude

  • User
  • Posts: 61
@santa
Sorry, I thought KDE was a siduction package. I used the term "vanilla" to differentiate it from kdenext, but apparently this distinction was too arcane.

Offline drb

  • User
  • Posts: 156
I have one with and one without kdenext. Both dist-upgrading with no issues here

Offline jaegermeister

  • User
  • Posts: 222
Re: When will it be relatively safe to du my vanilla KDE system?
« Reply #10 on: 2015/10/20, 21:10:16 »
There has been some loss of functionality, for me, in going from Plasma 4 to 5

Besides system tray, which one?
THX
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline bad_aptitude

  • User
  • Posts: 61
The major loss of functionality is with virtual desktops. KDE intentionally removed the functionalities to enable  compatibility with Activities.
I miss the ability to have different desktop backgrounds on the virtual desktops. The only way to achieve this is to set up different Activities.
Activities don't allow visualization of windows on the Task bar or moving windows between them, which you could do with virtual desktops.
On the plus side I find Plasma 5 to run faster.

bad_

Offline jaegermeister

  • User
  • Posts: 222
Too bad, I never used activities.
While I always used two screens and taskbar.
Besides system tray this is another show stopper.
I hope some plugins will emerge to fix these issues.

---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.931
    • Land of the Buckeye

While I always used two screens and taskbar ....


To clarify, yes you can have multiple virtual desktops.  And yes there is a "panel" or taskbar, where you can park icons to launch your packages.  And no, we are not required to use "Activities" (I have never used them).

What does not work today:

-- cannot have different wallpapers on different virtual desktops
-- some "systray" icons, including radiotray, do not work correctly, even with the plasma-systray-legacy and sni-qt packages installed.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline belze

  • User
  • Posts: 94
http://forum.siduction.org/index.php?topic=5852.0;topicseen

Qt5.5 transition started. DO NOT UPGRADE

thanks Santa, i was looking to upgrade right now ;)